import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class SteakHutContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    steakHutHjoe({ address, network }: ContractOpts): import("./ethers").SteakHutHjoe;
    steakHutPool({ address, network }: ContractOpts): import("./ethers").SteakHutPool;
    steakHutStaking({ address, network }: ContractOpts): import("./ethers").SteakHutStaking;
}
export type { SteakHutHjoe } from './ethers';
export type { SteakHutPool } from './ethers';
export type { SteakHutStaking } from './ethers';
